## tinyos-tools 1.4.2

=== tools/platforms/msp430/pybsl/winexe/Makefile ===

.PHONY: all FORCE clean windist

all: windist

#wrap py to exe and build windows installer
windist:
	sh build-windist

#clean up the mess...
clean:
	rm -r dist build bin

=== tools/platforms/mica/uisp/kernel/stargate/Makefile ===
# Comment/uncomment the following line to enable/disable debugging
#DEBUG = y

# This Makefile has been simplified as much as possible, by putting all
# generic material, independent of this specific directory, into
# ../Rules.make. Read that file for details

KERNELDIR = /home/pbuonado/Projects/stargate-linux/linux-2.4.19-star5

CFLAGS = -v -O2
CFLAGS += -I. -I$(KERNELDIR)/include
CFLAGS += -DEXPORT_SYMTAB

CC=arm-linux-gcc

all: stargate_ssp.o

stargate_ssp.o: stargate_ssp.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f *.o *~ core

=== debian/changelog ===
tinyos-tools (1.4.2-3) unstable; urgency=low

  * fix python dependency (Closes: #804308)

 -- Sebastian Reichel <sre@debian.org>  Sat, 07 Nov 2015 11:25:59 +0100

tinyos-tools (1.4.2-2) unstable; urgency=low

  * Update Debian Standards Version to 3.9.6
  * Fix bashism in tos-locate-jre (Closes: #772381)
  * Use canonical vcs field

 -- Sebastian Reichel <sre@debian.org>  Fri, 06 Nov 2015 05:54:37 +0100

tinyos-tools (1.4.2-1) unstable; urgency=low

  * Initial Debian Release (Closes: #696007)

 -- Sebastian Reichel <sre@debian.org>  Sun, 06 Jan 2013 22:42:13 +0100

=== debian/control ===
Source: tinyos-tools
Section: devel
Priority: extra
Maintainer: Sebastian Reichel <sre@debian.org>
Standards-Version: 3.9.6
Build-Depends: autoconf,
               automake,
               debhelper (>= 9),
               default-jdk,
               nescc,
               perl,
               python,
               tinyos-source
Homepage: http://tinyos.net
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tinyos-tools.git
Vcs-Git: git://anonscm.debian.org/collab-maint/tinyos-tools.git

Package: tinyos-tools
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
         nescc,
         uisp,
         perl,
         python2.7
Recommends: tinyos-source
Suggests: gcc-avr, gcc-msp430
Description: development tools for TinyOS
 TinyOS is an open source, BSD-licensed operating system
 designed for low-power wireless devices, such as those
 used in sensor networks, ubiquitous computing, personal
 area networks, smart buildings, and smart meters.
 .
 This package contains the development tools for
 TinyOS.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	if [ -f tools/platforms/mica/uisp/kernel/stargate/stargate_ssp.o.orig ] ; then \
		mv -f tools/platforms/mica/uisp/kernel/stargate/stargate_ssp.o.orig \
		      tools/platforms/mica/uisp/kernel/stargate/stargate_ssp.o ; \
	fi

override_dh_auto_configure:
	cd tools ; ./Bootstrap
	cd tools/platforms/mica/uisp ; ./bootstrap
	. /etc/profile.d/tinyos.sh && dh_auto_configure -Dtools

override_dh_auto_build:
	mv -f tools/platforms/mica/uisp/kernel/stargate/stargate_ssp.o tools/platforms/mica/uisp/kernel/stargate/stargate_ssp.o.orig
	. /etc/profile.d/tinyos.sh && dh_auto_build -Dtools

override_dh_auto_install:
	. /etc/profile.d/tinyos.sh && dh_auto_install -Dtools

override_dh_install:
	# remove uisp (we depend on the uisp debian package instead)
	rm -rf debian/tinyos-tools/usr/bin/uisp
	rm -rf debian/tinyos-tools/usr/share/man/man1/uisp.1
	# remove unneeded files
	rm -rf debian/tinyos-tools/usr/share/doc/tinyos-tools-1.4.2
	rm -rf debian/tinyos-tools//usr/share/doc/uisp-20050519tinyos
	# remove language extension from binaries
	mv debian/tinyos-tools/usr/bin/tos-dump.py debian/tinyos-tools/usr/bin/tos-dump
	mv debian/tinyos-tools/usr/bin/samba-program.py debian/tinyos-tools/usr/bin/samba-program
